Create a crypto transfer
curl --request POST \
--url https://production.hifibridge.com/v2/wallets/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"source": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"destination": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
},
"amount": 1,
"requireApproval": false
}
'import requests
url = "https://production.hifibridge.com/v2/wallets/transfers"
payload = {
"requestId": "<string>",
"source": { "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"destination": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
},
"amount": 1,
"requireApproval": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
source: {userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
destination: {userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', walletAddress: '<string>'},
amount: 1,
requireApproval: false
})
};
fetch('https://production.hifibridge.com/v2/wallets/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferType": "WALLET.TRANSFER",
"transferDetails": {
"id": "006737ca-42d5-4780-b3c2-aeb63279c591",
"requestId": "d0d62bec-2623-4f61-afda-148d6a8e1009",
"createdAt": "2025-02-03T16:11:36.654998+00:00",
"updatedAt": "2025-02-03T16:12:41.503+00:00",
"chain": "POLYGON_MAINNET",
"currency": "usdc",
"contractAddress": "0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359",
"status": "CREATED",
"failedReason": "",
"source": {
"userId": "aec66b02-4f3f-471c-839a-94820b36abb2",
"walletAddress": "0xA25641cB6056C371CB65F28aC02450c9206e0fAA",
"walletType": "INDIVIDUAL",
"user": {
"email": "samuelyoon0@gmail.com",
"lastName": "Yoon",
"firstName": "Samuel",
"businessName": null
}
},
"destination": {
"userId": "aec66b02-4f3f-471c-839a-94820b36abb2",
"walletType": "INDIVIDUAL",
"walletAddress": "0xA25641cB6056C371CB65F28aC02450c9206e0fAA",
"user": {
"email": "samuelyoon0@gmail.com",
"lastName": "Yoon",
"firstName": "Samuel",
"businessName": null
}
},
"amount": 0.01,
"amountIncludeDeveloperFee": 0.01,
"receipt": {
"transactionHash": "0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac"
},
"developerFee": {
"feeId": "9b354c37-d20d-4d94-bcd8-c852353ca406",
"feeType": "FIX",
"feeAmount": 0.5,
"feePercent": 0,
"status": "CREATED",
"transactionHash": null,
"failedReason": null
}
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Wallet Transfers
Create a crypto transfer
Create a crypto transfer between two wallet addresses among users.
POST
/
v2
/
wallets
/
transfers
Create a crypto transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
unique identifier for the transfer request (recommend using uuid v4)
crypto transfer source
Show child attributes
Show child attributes
crypto transfer destination
Show child attributes
Show child attributes
crypto currency (note: usdHifi is only available in sandbox to simulate token movement)
Available options:
usdc, usdt, usdg, pyusd amount of crypto currency to send
Required range:
x >= 0Available options:
POLYGON, ETHEREUM, BASE, SOLANA, BSC, FLOW_EVM, CANTON, TRON crypto transfer fee
Show child attributes
Show child attributes
Whether this transfer requires approval before processing.
true: Transfer will enter approval workflowfalseor omitted: Transfer proceeds immediately
Example:
false
⌘I